summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorblocklisted2023-11-05 16:33:29 +0100
committerblocklisted2023-11-05 16:33:29 +0100
commitf63cebc5a681518fd51155efcf45dcdb328930fe (patch)
tree8864200c84473e454df089394b8690877d6980ef
parent634f52bf9bbd9d697ee067331b0b4d0d85b67329 (diff)
downloadaur-f63cebc5a681518fd51155efcf45dcdb328930fe.tar.gz
use official windscribe arch install script
-rw-r--r--windscribe-v2-bin.install8
1 files changed, 7 insertions, 1 deletions
diff --git a/windscribe-v2-bin.install b/windscribe-v2-bin.install
index fdf2a488f28c..e6ea5c970370 100644
--- a/windscribe-v2-bin.install
+++ b/windscribe-v2-bin.install
@@ -44,6 +44,8 @@ pre_upgrade() {
set -e
systemctl stop windscribe-helper
systemctl disable windscribe-helper
+ userdel -f windscribe || true
+ groupdel -f windscribe || true
}
post_upgrade() {
@@ -53,5 +55,9 @@ post_upgrade() {
pre_remove() {
systemctl stop windscribe-helper
systemctl disable windscribe-helper
- rm /usr/bin/windscribe
+ userdel -f windscribe || true
+ groupdel -f windscribe || true
+ rm -rf /etc/windscribe
+ rm -f /opt/windscribe/helper_log.txt
+ rm -f /usr/bin/windscribe
}